using ProjectTourAgency.Forms;
using Unity;

namespace ProjectTourAgency;

public partial class FormTourAgency : Form
{
    private readonly IUnityContainer _container;
    public FormTourAgency(IUnityContainer container)
    {
        InitializeComponent();
        _container = container ??
            throw new ArgumentNullException(nameof(container));
    }

    private void ClientsToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormClients>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }


    private void RotesToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormRoutes>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void EmployeesToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormEmployees>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormAddMoney>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }
}
