﻿using ProjectTourAgency.Enities;
using ProjectTourAgency.Repositories;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectTourAgency.Forms
{
    public partial class FormAddMoney : Form
    {
        private readonly IAddMoneyRepository _addMoneyRepository;
        public FormAddMoney(IAddMoneyRepository addMoneyRepository, IClientRepository clientRepository)
        {
            InitializeComponent();
            _addMoneyRepository = addMoneyRepository ??
                throw new ArgumentNullException(nameof(addMoneyRepository));
            comboBoxClientId.DataSource = clientRepository.ReadClients();
            comboBoxClientId.DisplayMember = "Name";
            comboBoxClientId.ValueMember = "Id";
        }

        private void buttonSave_Click(object sender, EventArgs e)
        {
            try
            {
                if (comboBoxClientId.SelectedIndex < 0 || String.IsNullOrWhiteSpace(textBoxMoney.Text))
                {
                    throw new Exception("Имеются незаполненные поля");
                }
                _addMoneyRepository.CreateAddMoney(AddMoney.CreateEntity(0, (int)comboBoxClientId.SelectedValue!, DateTime.Now, Convert.ToInt32(textBoxMoney.Text)));
                Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка при сохранении", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        }

        private void buttonCancel_Click(object sender, EventArgs e) => Close();
    }
}
